---
title: create tax provider
slug: api-documentation/create-tax-provider
docTags: 
createdAt: 2026-08-27T17:08:54.010Z
---

{
  "id": "2Tyi3KmF5O0b17evDqcLO",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.upstartcommerce.com/v1/tax/provider",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/tax/provider",
        "description": "Dev Server"
      }
    ],
    "name": "create tax provider",
    "description": "<p>This endpoint allows the creation of a tax provider against a certain tenant.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li>Authorizers.taxModify</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "The tax provider to create.",
          "schema": [
            {
              "name": "tenant",
              "kind": "required",
              "type": "string",
              "description": "Tenant identifier this tax provider is for.",
              "minLength": 1
            },
            {
              "name": "taxProviderId",
              "kind": "required",
              "type": "string",
              "description": "Tax provider identifier.",
              "minLength": 1
            },
            {
              "name": "taxProviderName",
              "kind": "required",
              "type": "string",
              "description": "Tax provider name.",
              "minLength": 1
            },
            {
              "name": "enabled",
              "kind": "required",
              "type": "boolean",
              "description": "<p>This flag determines whether the tax provider services can be used by this tenant or not. If it is true, the tax provider's services can be used.</p>"
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "201",
        "description": "<p>Success-the tax provider is created.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "tenant",
                "kind": "required",
                "type": "string",
                "description": "Tenant identifier this tax provider is for.",
                "minLength": 1
              },
              {
                "name": "taxProviderId",
                "kind": "required",
                "type": "string",
                "description": "Tax provider identifier.",
                "minLength": 1
              },
              {
                "name": "taxProviderName",
                "kind": "required",
                "type": "string",
                "description": "Tax provider name.",
                "minLength": 1
              },
              {
                "name": "enabled",
                "kind": "required",
                "type": "boolean",
                "description": "<p>This flag determines whether the tax provider services can be used by this tenant or not. If it is true, the tax provider's services can be used.</p>"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "<p>Unauthorized-the provided credentials were invalid for this endpoint.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Error payload returned by the bad-request and unauthorized responses, identifying the failure by name, code and detail.</p>",
            "customType": "GeneralError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Error name.",
                "minLength": 1
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": "Error code.",
                "minLength": 1
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": "Reason why this error occurred.",
                "minLength": 1
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": "Error details.",
                "minLength": 1
              }
            ],
            "modelRef": "#/components/schemas/GeneralError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "<p>Not Found-the requested resource was not found in the NoChannel system.</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "415",
        "description": "<p>Unsupported Media Type-content type isn't set to application/json.</p>",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "OFOvZAeM9kXYXHkcOeJz3",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.upstartcommerce.com/v1/tax/provider \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --data '{\n     \"tenant\": \"\",\n     \"taxProviderId\": \"\",\n     \"taxProviderName\": \"\",\n     \"enabled\": \"\"\n     }'"
        },
        {
          "id": "kIqX8vmoW2dp19ghMXPk3",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar raw = JSON.stringify({\n   \"tenant\": \"\",\n   \"taxProviderId\": \"\",\n   \"taxProviderName\": \"\",\n   \"enabled\": \"\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/tax/provider\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "Ecs8m5FT0iIYqLqa_AsjH",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/tax/provider\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest.body = JSON.dump({\n   \"tenant\": \"\",\n   \"taxProviderId\": \"\",\n   \"taxProviderName\": \"\",\n   \"enabled\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "OfUvCYXGJqebpc5neNbTk",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/tax/provider\"\n\npayload = json.dumps({\n   \"tenant\": \"\",\n   \"taxProviderId\": \"\",\n   \"taxProviderName\": \"\",\n   \"enabled\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "OFOvZAeM9kXYXHkcOeJz3"
    },
    "results": {
      "languages": [
        {
          "id": "4YbLSI3Ed6cBNl31frWHO",
          "language": "201",
          "code": "// Success-the tax provider is created.\n{\n  \"tenant\": \"\",\n  \"taxProviderId\": \"\",\n  \"taxProviderName\": \"\",\n  \"enabled\": false\n}"
        },
        {
          "id": "hrPzrm6b-TVobJFVLwQWs",
          "language": "401",
          "code": "// Unauthorized-the provided credentials were invalid for this endpoint.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"reason\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "rxEQAapheV61dLa-6NlL8",
          "language": "404",
          "code": "// Not Found-the requested resource was not found in the NoChannel system.\n"
        },
        {
          "id": "IuYV6PGA6PurDcNCTGF1B",
          "language": "415",
          "code": "// Unsupported Media Type-content type isn't set to application/json.\n"
        }
      ],
      "selectedLanguageId": "4YbLSI3Ed6cBNl31frWHO"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}